Robotsystem from Robot Group Leipzig: SchlangeForce Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# SchlangeForce Class Reference

`#include <schlangeforce.h>`

Inheritance diagram for SchlangeForce:

[legend]
Collaboration diagram for SchlangeForce:

[legend]
List of all members.

## Detailed Description

This is a class, which models a snake like robot.

It consists of a number of equal elements, each linked by a joint powered by torques added to joints

Definition at line 63 of file schlangeforce.h.

## Public Member Functions
| SchlangeForce (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const SchlangeConf &conf, const char *name)
virtual | ~SchlangeForce ()
virtual void | setMotors (const motor *motors, int motornumber)
| Reads the actual motor commands from an array, and sets all motors (forces) of the snake to this values.
virtual int | getSensors (sensor *sensors, int sensornumber)
| Writes the sensor values to an array in the memory.
virtual int | getSensorNumber ()
| returns number of sensors
virtual int | getMotorNumber ()
| returns number of motors

## Constructor & Destructor Documentation

SchlangeForce | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const SchlangeConf & | conf,
|  | const char * | name
| ) |

| Definition at line 48 of file schlangeforce.cpp.

~SchlangeForce | ( |  | ) | `[virtual]`

| Definition at line 56 of file schlangeforce.cpp.

## Member Function Documentation

virtual int getMotorNumber | ( |  | ) | `[inline, virtual]`

| returns number of motors Implements Schlange. Definition at line 95 of file schlangeforce.h.

virtual int getSensorNumber | ( |  | ) | `[inline, virtual]`

| returns number of sensors Implements Schlange. Definition at line 91 of file schlangeforce.h.

int getSensors | ( | sensor * | sensors,
|  | int | sensornumber
| ) | `[virtual]`

  | Writes the sensor values to an array in the memory. Parameters:
  | sensors | pointer to the array
  | sensornumber | length of the sensor array
Returns: number of actually written sensors Implements Schlange. Definition at line 94 of file schlangeforce.cpp.

void setMotors | ( | const motor * | motors,
|  | int | motornumber
| ) | `[virtual]`

  | Reads the actual motor commands from an array, and sets all motors (forces) of the snake to this values. It is an linear allocation. Parameters:
  | motors | pointer to the array, motor values are scaled to [-1,1]
  | motornumber | length of the motor array
Implements Schlange. Definition at line 65 of file schlangeforce.cpp.